#!/bin/sh

#  notarize.sh
#  OneMenu
#
#  Created by Marko on 11/06/2023.
#  

read -p "Username: " username
read -s -p "Password: " password

ditto -c -k --keepParent "$1/OneMenu.app" "$1/OneMenu.zip"

echo "\nUploading OneMenu.zip"

xcrun altool --notarize-app --primary-bundle-id "com.withmarko.OneMenu" --username "$username" --password "$password" --file "$1/OneMenu.zip"

echo "Waiting 60 seconds..."

sleep 60

echo "Stapling the app\n"

xcrun stapler staple "$1/OneMenu.app"
